Bug 140498 - Primary selection does not work in Calc input line
Summary: Primary selection does not work in Calc input line
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-18 10:03 UTC by Kriton Kyrimis
Modified: 2021-03-10 09:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kriton Kyrimis 2021-02-18 10:03:58 UTC
If I select a piece of text in a terminal and middle-click on the Calc input line, the text is not pasted. Doing it the other way round, i.e., selecting a piece of text on the input line, leaves the primary selection unaffected.

This only happens in the Calc input line. Copying from/to individual cells or from/to Writer works fine.

The problem appears with both the kf5 and gtk3 VCLs.

This didn't happen with previous versions of LibreOffice.

I am using the openSUSE Tumbleweed build.

Version: 7.1.0.3 / LibreOffice Community
Build ID: 10(Build:3)
CPU threads: 2; OS: Linux 5.10; UI render: default; VCL: kf5
Locale: el-GR (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 bjwest 2021-03-05 20:36:42 UTC Comment hidden (noise)
Comment 2 Aron Budea 2021-03-06 15:09:22 UTC
Confirmed using LO 7.2.0.0.alpha0+ (94283af977246c70dbed4452d197b003d8bb14b9) / Ubuntu.

Bibisected to the following commit using repo bibisect-linux-64-7.1. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e087e25f05e689091cbf1c4f91b6e93878ac17ec
author		Caolán McNamara <caolanm@redhat.com>	2020-10-05 14:19:05 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-10-16 12:54:14 +0200

weld InputBar
Comment 3 Commit Notification 2021-03-08 20:40:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3bcf251cfe9bb11df63697c14a53c81e0e23c851

tdf#140498 middle-button paste doesn't depend on a vcl::Window

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2021-03-08 20:44:20 UTC
fixed in master, backport to 7-1 in gerrit
Comment 5 Xisco Faulí 2021-03-10 09:13:51 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 3dfe1df0f1084b06c7d4c95df387253b2e058cd6
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 6 Commit Notification 2021-03-10 09:15:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/af8b84e8143cadbdfdb5365d7a4455b84b985090

tdf#140498 middle-button paste doesn't depend on a vcl::Window

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.